Subject: Re: Trouble Installing ARM Linux

From: Sam Ellis <[email-masked]>
Date: Sat, 11 Jul 1998 19:36:48 +0100 (BST)

On Fri, 10 Jul 1998, Andrew Miles wrote:

> Sam Ellis writes:
> >  Installer asks which device to install from. I answer 'hard disk'.
> >  Installer asks me to choose a hard disk. There is only one choice:
> >    /dev/hda   #
> >  which I select. Installer then says that there is no swap space defined,
> >  and would I like to 'Continue' or 'Cancel'. I select 'Continue', and the
> >  message 'rebooting' appears.
> > 
> >  Pressing ALT-F4 at this point reveals:
> > 
> >    Partition check:
> >      hda: [ADFS] hda1 [Linux] hda2 < hda 3 hda4 >
> 
> Have you found a solution to this problem yet, as I've just got passed one
> problem only to be encountered with this one?
> 
> Just a pet theory of mine, hda wouldn't happen to be greater than 2 Gb would
> it?
Yes it is!
I spent most of Friday repeatedly formatting my hard disk and reinstalling
Linux. I tried various sizes of adfs partitions, and found that if the
adfs partiton was 2007Mb Linux would find it's partitions, but when the
ADFS partition was 2076Mb it would complain.

Having found a solution to this problem I am now faced with many others,
although I can now get to a Linux prompt and run a few programs.

BTW, during the scanning of the RPMS files, lots of errors like the
following occured: 

  comps Error
  package cproto at line 110 dne'

Anyone know what these mean? Are they important, and if so, how do I fix
them.

Sam Ellis.

Department of Electronics & Computer Science
University of Southampton

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sat, 11 Jul 1998 20:10:32 +0100 (BST)

> ADFS partition was 2076Mb it would complain.

Ok, I think that I've fixed the problem causing Linux to be unable to mount
ADFS partitions >2GB properly.  Patches and kernels available tomorrow.  I'll
check the other code as well later tonight (once I've proven that I haven't
broken ADFS).

It'll be up to you guys to verify that this does indeed fix the problem,
since I don't have any partitions (nor drives) this big yet.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.uk.linux.org/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |